Bug 2642 - W2k3 loses connection to SAMBA 3.0.9 shares on Solaris9 with errors below, samba needs restarted to fix
W2k3 loses connection to SAMBA 3.0.9 shares on Solaris9 with errors below, sa...
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.9
Sparc Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-23 13:23 UTC by Brian Adair
Modified: 2006-07-05 13:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Adair 2005-04-23 13:23:24 UTC
Samba clients lose connection to Samba service until Samba is restarted.

We are currently using Samba in a large Medical production enviornment. The 
system is on Solaris 9 running a very basic smb.conf on samba 3.0.9. Doctors 
access and store medical information from an application residing on W2K3 
accross a GigE network. It has been installed since 1/5/05 and been stable up 
until last week. No changes to the enviornment have been reported, though work 
load to the system through samba has continued to grow.

Samba logging @ level 3
Here are errors that are found in the samba.log near the time of the reportted 
last outage. These messages are not seen at any other times. We feel that 
these messages may point to the root problem. Outages are experienced 
intermittently, perhaps twice a day at different times. At one point 3 days 
had gone by before clients lost connection again. We have been unable to 
trigger the event to happen. Being a production enviornment also limits 
testing.

2005/04/20 10:54:27, 3] smbd/error.c:error_packet(129)
  error packet at smbd/trans2.c(2243) cmd=162 (SMBntcreateX) 
NT_STATUS_SHARING_VIOLATION
[2005/04/20 10:54:27, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Broken pipe
[2005/04/20 10:54:27, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 39 bytes to socket 22: ERRNO = Broken pipe
[2005/04/20 10:54:27, 0] lib/util_sock.c:send_smb(647)
  Error writing 39 bytes to client. -1. (Broken pipe)
--------------------------------------------------------

[2005/04/20 10:54:11, 3] smbd/oplock.c:initial_break_processing(550)
  initial_break_processing: called for dev = 44c0076, inode = 314199 file_id = 
5
  Current oplocks_open (exclusive = 6, levelII = 0)
[2005/04/20 10:54:11, 0] smbd/oplock.c:oplock_break(830)
  oplock_break: end of file from client
  oplock_break failed for file 
RRR/04202005//14304095/1.2.392.200036.9125.2.811624717974.64454782665.1308489 
(dev = 44c0076, inode = 314199, file_id = 5).
[2005/04/20 10:54:11, 0] smbd/oplock.c:oplock_break(923)
  oplock_break: client failure in break - shutting down this smbd.
[2005/04/20 10:54:11, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/04/20 10:54:11, 2] smbd/server.c:exit_server(571)
  Closing connections
[2005/04/20 10:54:11, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/04/20 10:54:11, 1] smbd/service.c:close_cnum(836)
  172.xx.xxx.33 (172.xx.xxx.33) closed connection to service clinical

I can provide further data if necessary.

We appreciate all who contribute! Thank you.
Comment 1 Jeremy Allison 2005-04-25 15:55:48 UTC
This message :

oplock_break: client failure in break - shutting down this smbd.

means a client failed to respond to an oplock break request message. This is
usually due to network problems. Check your switches/hubs/network cards.

Jeremy.
Comment 2 Gerald (Jerry) Carter 2006-04-20 08:03:33 UTC
severity should be determined by the developers and not the reporter.
Comment 3 Gerald (Jerry) Carter 2006-07-05 13:13:42 UTC
please retest against 3.0.23